Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82749 - Windows 2000 detects linux ext2 on boot, causing problems
Summary: Windows 2000 detects linux ext2 on boot, causing problems
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: grub
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-25 20:19 UTC by Mike Traum
Modified: 2016-01-20 08:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-09 21:40:31 UTC


Attachments (Terms of Use)

Description Mike Traum 2003-01-25 20:19:03 UTC
Description of problem:
-----------PROBLEM DESCRIPTION-----------
When booting to Windows 2000, Windows detects the Linux drive and has the 
following problems because of this:
- Win2K attempts to run chkdsk on the ext2 drive, which it skip because it 
detects that it's not a windows file system
- Win2K boots very slow
- In event log: EventID 7022 "The Logical Disk Manager service hung on 
starting."
- ext2 was mapped by Win2K, which caused major problems when opening up file 
explorer. Resolved by removing the mapping through Disk Management
- Win2K Disk Management shows ext2 partition as Active
- tried to hide ext2 with grub, no affect in Win2K. When reboot, grub can't 
access ext2 so fails.
- The same problem was discussed at http://www.experts-
exchange.com/Operating_Systems/Linux/Q_20412213.html with no solution.

-----------CONFIGURATION-----------
- fdisk:
fdisk /dev/hda
   Device Boot    Start       End    Blocks   Id  System
/dev/hda1          1283      4100  22635553+  1c  Hidden Win95 FAT32 (LBA)
/dev/hda2             1      1282  10297633+  1c  Hidden Win95 FAT32 (LBA)
/dev/hda3   *      4101      4800   5622750   83  Linux
/dev/hda4          4801      4865    522112+   f  Win95 Ext'd (LBA)
/dev/hda5          4801      4865    522081   82  Linux swap
fdisk /dev/hdb
   Device Boot    Start       End    Blocks   Id  System
/dev/hdb1   *         1      9729  78148161    c  Win95 FAT32 (LBA)
- grub.conf:
# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You do not have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /, eg.
#          root (hd0,2)
#          kernel /boot/vmlinuz-version ro root=/dev/hda3
#          initrd /boot/initrd-version.img
#boot=/dev/hda
default=1
timeout=10
splashimage=(hd0,2)/boot/grub/splash.xpm.gz
title Red Hat Linux (2.4.18-14)
	root (hd0,2)
	kernel /boot/vmlinuz-2.4.18-14 ro root=LABEL=/ hdd=ide-scsi
	initrd /boot/initrd-2.4.18-14.img
title Win2K
	rootnoverify (hd0,1)
	chainloader +1
title WinME
	rootnoverify (hd1,0)
	chainloader +1


Version-Release number of selected component (if applicable):
0.92-7

How reproducible:
Always

Steps to Reproduce:
1. Create patritions similar to mine
2. Install Redhat Linux 8.0 with grub
3. Boot up in Win2K
    
Actual results:


Expected results:


Additional info:

Comment 1 Jeremy Katz 2003-02-09 21:40:31 UTC
I haven't seen any other reports of this, but even if so, it's a Windows 2000
problem, and there's really not a whole lot I can do to fix those :(

Comment 2 David Balažic 2004-01-05 10:31:26 UTC
A clarification was posted at
http://www.experts-exchange.com/Operating_Systems/Linux/Q_20412213.html

In short :
 - mke2fs does not clear the first sector of a partition
 - if there was a FAT FS before, the FAT boot sector is still there
 - windows reads the boot sector ( even if the partition is clearly
marked as linux type )
 - windows sees FAT boot sector and thinks "oh, this is FAT, I know
this stuff"
 - windows fails in weird ways becasue the partition is not really FAT

Solution :
 - delete windows
or
 - zero the first sector of linux partitions during install/format


Note You need to log in before you can comment on or make changes to this bug.